QGIS Application - Bug report #837
Saving edited PostGIS layer reports PostgreSQL error
2007-11-26 08:59 AM - horst-duester -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Vectors

Affected QGIS version: Regression?: No
Operating System: Debian Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 10896
Description

Take a look at the attached SQL Script. This script creates 2 Tables test and test2.

1. Edit Table test and add a polygon.

2. When you save this table [[PostgrSQL]] reports the error: ERROR: invalid input syntax for integer: "now()"

When you try the same procedure with test2 [[PostgreSQL]] is able to save the created polygon.

The problem seems to be the order of the geometry column. In test the geometry column is the second column of the table. All later tables
seemed to be shifted.Take a look at the warning displayed in the terminal window.

In table test2 the geometry column is the last column of the table and it doesn't influence the order of the columns. => Save works fine.

History

#1 - 2007-11-26 09:07 AM - horst-duester -

| made a typo in my #

| wrote: ... All later tables seemed to be shifted ...

Of course | ment ... All later columns seemed to be shifted.

#2 - 2007-11-26 11:18 AM - Jiirgen Fischer

- Resolution set to fixed
- Status changed from Open to Closed

fixed in commit:70d84b8a (SVN r7660)

#3 - 2007-11-26 11:15 PM - horst-duester -

Replying to [comment:2 jef]:

fixed in commit:70d84b8a (SVN r7660)
Thank you very very much for your fast response!!!!

#4 - 2009-08-22 12:52 AM - Anonymous

Milestone Version 0.9.1 deleted

Files
